@charset"UTF-8";
*{
    margin: 0;
    padding: 0;
}
img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
a{
    display: block;
    text-decoration: none;
    color: black;
}
#wrap{
    width:100%;
}

/* header */
header{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 10px;
    height: 65px;
    background-color: pink;
}
h1{
    width: 100px;
}
nav p{
    width: 60px;
    line-height: 60px;
    background-color: rgba(226,226,226,0.5);
    text-align: center;
    font-size: 2.3em;
    color: white;
}
ul{
    width: 100%;
    display: none;
    list-style: none;
    position: absolute;
    top:105px;
    left: 0;
    z-index: 999;
}
li{
    line-height: 50px;
    background-color: rgb(255, 244, 80);
    text-align: center;
}
a:hover{
    background-color: rgba(255, 201, 210, 0.5);
}

/*main*/
main > div p{
    padding: 10px 0;
    line-height: 1.7;
    text-align: center;
    font-size: 60px;
    font-family: 'Freehand', cursive;
    font-weight: bold;
    color:rgb(255, 244, 80);
    background-color: rgba(135, 206, 235, 0.5);
}
main p{
    font-size: 30px;
    text-align: center;
}
main h2{
    line-height: 50px;
    background-color: skyblue;
    text-align: center;
    position: relative;
    font-family: 'Roboto Mono', monospace;
    /*position:absoluteの基準指定*/
}
main h2 span{
    font-size: 14px;
    position: absolute;
    top: 0px;
    left:65%;
}
main section div{
    display: flex;
    flex-wrap:wrap;
    justify-content: space-between;
    width: 100%;
}
main section h4{
    width:100%;
}
main section div p{
    width: 49%;
    height: 155px;
    overflow: hidden;
}
main section div p:nth-of-type(-n+2){
    margin-bottom: 10px;
}
/*footer*/
footer h2{
    background-color: skyblue;
    text-align: center;
    line-height: 50px;
} 
footer > div{
    display: flex;
    justify-content: space-between;
}
footer div div{
    padding:20px;
}
footer >div >p{
    width: 50px;
}
footer img{
    object-fit: contain;
}

/*MediaQuery 781px以上 */
@media screen and (min-width:781px){
    /*header*/
    header{
        justify-content: center;
    }
    nav p{
        display: none;
    }
    ul{
        display: flex;
        position: static;
    }
    li{
        width: 190px;
        background-color: rgb(250, 250, 94);
        text-align: center;
    }
    /*main*/
    main > div{
        /* padding-top: 50px; */
        width: 100%;
        height: 390px;
        background-image: url(../photosozai/diamondhead.jpg);
        background-repeat: no-repeat;
        background-size: cover;
    }
    main > div p{
        width:100%;
    }
    main section{
        width: 100%;
        background-color: rgb(255, 244, 80);
    }
    /* main section{
        width: 48%;
    }
    main section:first-of-type{
        margin-left: 2%;
    }
    main section:last-of-type{
        margin-right: 2%;
    }
    main section:first-of-type div{
        margin-right: 1%;
    }
    main section:last-of-type div{
        margin-left: 1%;
    }  */

    footer
    footer{
        /* background-image: url(../photosozai/huladance.jpg); */
        background-repeat: no-repeat;
        background-position: right -10px bottom -50px;
        background-size: 50%;
    }

    /* footer div p{
        width: 50%;
    }
    footer div div p{
        width: 20%;
        }       */
}

/* scrollTop */
#scrollTop{
    position: fixed;
    bottom: 20px;
    right: 10px;
    font-size: 2em;
}